gtk.Border
Prev | The gtk Class Reference | Next

## gtk.Border

gtk.Border — an object containing data for a border (new in PyGTK 2.4)

## Synopsis

    class gtk.Border(gobject.GBoxed):
        def copy()
        def free()

## Attributes

### Note

All attributes are available in PyGTK 2.16 and above.

"left" | Read-Write | The width of the left border margin.
"right" | Read-Write | The width of the right border margin.
"top" | Read-Write | The width of the bottom border margin.
"bottom" | Read-Write | The width of the bottom border margin.

## Description

### Note

This object is available in PyGTK 2.4 and above.

A `gtk.Border` object contains the integer values for the left, right, top and bottom values of a border. `gtk.Border` is used in `gtk.Style` specifications. `gtk.Border` has two methods: `copy`() and `free`().

Starting with PyGTK 2.16 you can also treat `gtk.Border` objects as sequences of 4 integer values. E.g. you can convert to a tuple or read and assign individual values by index.

## Constructor

        gtk.Border(left=0, right=0, top=0, bottom=0)

`left` : | the width of the left margin
`right` : | the width of the right margin
`top` : | the width of the top margin
`bottom` : | the width of the bottom margin
Returns : | a new `gtk.gdk.Rectangle` object

### Note

This constructor is available in PyGTK 2.16 and above.

Creates a new `gtk.Border` with the attributes specified by `left`, `right`, `top` and `bottom`. Any unspecified attributes default to 0.

## Methods

### gtk.Border.copy

        def copy()

Returns : | a copy of the border.

### Note

This method is available in PyGTK 2.4 and above.

The `copy`() method returns a copy of the border object.

### gtk.Border.free

        def free()

### Note

This method is available in PyGTK 2.4 and above.

### Warning

This method is deprecated and should not be used since it can crash your application.

The `free`() method frees the memory used by the border.

Prev | Up | Next
gtk.Bin | Home | gtk.Box